# disable encrypt swap partition

## prerequisite

* This setup is based on [encrypt swap partition](./encrypt-swap-Ubuntu-20.04)
* all command bellow are run has root

## disable encrypt swap partition

* Turn off swap

~~~
swapoff /dev/mapper/cryptswap
~~~

* Undo the existing mapping.

~~~
cryptsetup luksClose /dev/mapper/cryptswap
~~~

* remove your encrypt swap device define in your **/etc/crypttab** 

* ajust **/etc/fstab** to use your real swap partition 

~~~
/dev/nvme0n1p2   none   swap   discard   0   0
~~~

* make your partition a swap

~~~
mkswap /dev/nvme0n1p2
~~~

* activate swap

~~~
swapon -a
~~~

* remove file */etc/initramfs-tools/conf.d/resume*

~~~
rm /etc/initramfs-tools/conf.d/resume
~~~

Register these changes.

~~~{bash}
root@laptop:/root# update-initramfs -u -k all
update-initramfs: Generating /boot/initrd.img-5.4.0-37-generic
cryptsetup: ERROR: Couldn't resolve device rpool/ROOT/ubuntu_0ctpm6
cryptsetup: WARNING: Couldn't determine root device
I: The initramfs will attempt to resume from /dev/nvme0n1p2
I: (UUID=09c1daa8-a572-41b9-8655-c38ea7778723)
I: Set the RESUME variable to override this.
root@laptop:/root#
~~~

* Change your /etc/default/grub GRUB_CMDLINE_LINUX_DEFAULT to point to your real partition

~~~
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash resume=UUID=09c1daa8-a572-41b9-8655-c38ea7778723"
~~~

~~~
update-grub
~~~

Next you need to reboot to enable everything and test it.
